/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-24-2011 10:26:42pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\greater\MagiCollar.cs
Lines of code: 40

Description: 

***********************************************************/


using System;
using Server;

namespace Server.Items
{
	public class MagiCollar : PlateGorget
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 5; } }
		public override int BaseFireResistance{ get{ return -2; } }
		public override int BaseColdResistance{ get{ return 12; } }
		public override int BasePoisonResistance{ get{ return 3; } }
		public override int BaseEnergyResistance{ get{ return 17; } }		

		[Constructable]
		public MagiCollar()
		{
			Hue = 1154;
			Name = "Magi's Collar";
			Attributes.BonusInt = 15;
			Attributes.RegenMana = 3;
			Attributes.LowerManaCost = 8;
			ArmorAttributes.MageArmor = 1;
			Attributes.LowerRegCost=20;			
		}

		public MagiCollar( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
			
			if(version==0)Name = "Magi's Collar";
		}
		
					
	}
}